/*  t2.cpp - 
    This file is part of KGL
    Copyright (C) 2001 Antonio Larrosa Jimenez
    KGL' homepage : http://perso.wanadoo.es/antlarr/kgl.html

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 

    Send comments and bug fixes to Antonio Larrosa <larrosa@kde.org>

 ***************************************************************************/
#include "t2.moc.cpp"
#include <kapp.h>
#include <kmenubar.h>
#include <klocale.h>
#include <kmessagebox.h>
#include "../kgl3dwidget.h"
#include "../kgldataanimate.h"
#include "../kglcontrol.h"
#include "../kglline.h"
#include <math.h>

MainWindow::MainWindow ( const char * name ) : KTMainWindow ( name )
{
    QPopupMenu *filemenu = new QPopupMenu;
    filemenu->insertItem( i18n( "&Quit" ), kapp, SLOT(quit()) );
    QString about =
            i18n("KGL test 1.0\n\n"
                 "(C) 2001 Antonio Larrosa Jimenez\n"
                 "larrosa@kde.org\t\tlarrosa@suse.de\n"
                 "Malaga (Spain)\n\n"
                 "Simple KGL Test\n"
                 "This tutorial comes with ABSOLUTELY NO WARRANTY\n"
                 "This is free software, and you are welcome to redistribute it\n"
                 "under certain conditions\n");

    QPopupMenu *helpmenu = helpMenu( about );
    KMenuBar *menu = new KMenuBar( this );
    menu->insertItem( i18n( "&File" ), filemenu);
    menu->insertSeparator();
    menu->insertItem( i18n( "&Help" ), helpmenu);
    setMenu( menu );

    kgl3dwidget=new KGL3DWidget(this,"3dview");
    setView(kgl3dwidget);
    KGLUniverse *universe=new KGLUniverse(kgl3dwidget,"universe");
    kgl3dwidget->setUniverse(universe);
    kgl3dwidget->controls()->show();

    int n=1000;
    GLfloat *x=new GLfloat[n];
    GLfloat *y=new GLfloat[n];
    GLfloat *z=new GLfloat[n];

    for (int i=0;i<n;i++)
    {
      x[i]=exp(-i/1000.)*cos((6.0*i)/n);
      y[i]=exp(-i/1000.)*sin((6.0*i)/n);
      z[i]=sin(2*3.1415*i/n);
    }

//    universe->insertObject(new KGLSphere(0,0,0,0.7));
    universe->insertObject(new KGLLine(x,y,z,n));

}
